**Free
// CPPase_Pr
// ---------
// Prototype for CamelCase(), PascalCase() and ProperCase() procedures.
//
// Jesper Wachs, Version 1, June 2019.
//
// The software is delivered 'as is'.
//
// Neither Jesper Wachs nor anyone else who has been involved in
// the creation, production or delivery of this software shall be
// liable for any direct, indirect, consequential or incidental
// damages (including damages for loss of business profits,
// business interruption, loss of business information, and the
// like) arising out of the use or inability to use such software
// even if Jesper Wachs has been advised of the possibility of
// such damages.
//
// Convert a sting to Camel case. The input string must have each
// word seperated by one or more spaces. The output is a Camel cased
// string:
// 'myOwnStringInCamelCase' = CamelCase('my own string in camel case')
//
Dcl-PR CamelCase VarChar(1024);
  iString VarChar(1024) Value;
End-PR;
//
// Convert a sting to Pascal case. The input string must have each
// word seperated by one or more spaces. The output is a Pascal cased
// string:
// 'MyOwnStringInPascalCase' = PascalCase('my own string in pascal case')
//
Dcl-PR PascalCase VarChar(1024);
  iString VarChar(1024) Value;
End-PR;
//
// Convert a sting to Proper case. The input string must have each
// word seperated by one or more spaces. The output is a Pascal cased
// string:
// 'My Own String, Proper' = ProperCase('my own string, proper')
//
Dcl-PR ProperCase VarChar(1024);
  iString VarChar(1024) Value;
End-PR;
