**Free
Ctl-Opt BndDir('QC2LE');
//
// CPPCase_Ex
// ----------
// Example program for the CamelCase(), PascalCase() and ProperCase()
// procedures.
//
// Jesper Wachs, Version 1, June 2019.
//
// The source member are delivered 'as is'.
//
// Neither Jesper Wachs nor anyone else who has been involved in
// the creation, production or delivery of this software shall be
// liable for any direct, indirect, consequential or incidental
// damages (including damages for loss of business profits,
// business interruption, loss of business information, and the
// like) arising out of the use or inability to use such software
// even if Jesper Wachs has been advised of the possibility of
// such damages.
//
// Copymember for imported functions.
// ----------------------------------
/copy qrpglesrc,CPPCase_Pr
//
// Imported functions.
// -------------------
Dcl-PR PutS Int(10:0) ExtProc('puts');
  oString Pointer Options(*String) Value;
End-PR;

Dcl-PR GetS Pointer ExtProc('gets');
  Buffer Char(1024);
End-PR;
//
// Prototypes for local functions.
// -------------------------------
//
Dcl-PR WriteConv;
  iString VarChar(1024) Value;
End-PR;
//
// Work fields.
// ------------
//
Dcl-S DummyInput Char(1024);
Dcl-S InputString VarChar(1024);
Dcl-S Message VarChar(78);
Dcl-S pDummyInput Pointer Inz(%Addr(DummyInput));
//
// Main line of program.
// ---------------------
//
Message = 'Demo of CamelCase(), PascalCase() and ProperCase() procedures.';
PutS(Message);
Message = '--------------------------------------------------------------';
PutS(Message);

Message = 'JAMES BOND, PETER O''CONNELL';
WriteConv(Message);

Message = 'SEAN MCDONALD, JEFF MACDONALD';
WriteConv(Message);

Message = 'this is a tEXT.it has companycode iNc or was it plc?';
WriteConv(Message);

Message = '';
PutS(Message);

Message = 'Type a sentence and press ENTER to convert it to Proper case.';
Puts(Message);
Message = 'Press ENTER on an empty line to end';
Puts(Message);

GetS(DummyInput);
InputString = %Str(pDummyInput);

DoW InputString <> *Blanks;

  PutS('');
  WriteConv(InputString);

  GetS(DummyInput);
  InputString = %Str(pDummyInput);

EndDo;

*InLR = *On;
Return;
//
// Procedure to write the string in vaious formats.
//
Dcl-Proc WriteConv;
  Dcl-PI WriteConv;
    iString VarChar(1024) Value;
  End-PI;

  PutS('Input string: ' + iString);
  PutS('ProperCase(): ' + ProperCase(iString));
  PutS('CamelCase().: ' + CamelCase(iString));
  PutS('PascalCase(): ' + PascalCase(iString));
  Return;
End-Proc WriteConv;
